CREATE TABLE sscSetting (
  settingID INT(11) NOT NULL AUTO_INCREMENT,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description TEXT,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT(11) DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.core.SettingBean',
  PRIMARY KEY  (settingID),
  UNIQUE KEY settingCode (code)
);

CREATE TABLE sscRequestLog (
  requestLogID INT(11) NOT NULL AUTO_INCREMENT,
  orderID INT(11) DEFAULT NULL,
  orderNumber INT(11) DEFAULT NULL,
  customerID INT(11) DEFAULT NULL,
  customerUserName VARCHAR(100) NULL,
  administratorID INT(11) DEFAULT NULL,
  administratorUserName VARCHAR(100) NULL,
  sessionID VARCHAR(100) NULL,
  ipAddress VARCHAR(255) NULL,
  userAgent VARCHAR(255) NULL,
  servletPath VARCHAR(255) NULL,
  requestURL VARCHAR(255) NULL,
  requestParameters TEXT,
  referrer VARCHAR(255) NULL,
  isAdminRequest TINYINT(4) NOT NULL DEFAULT '0',
  created VARCHAR(100) DEFAULT NULL,
  searchString VARCHAR(255),
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.core.RequestLogBean',
  PRIMARY KEY (requestLogID)
);

CREATE INDEX sscRequestLog_orderID ON sscRequestLog (orderID);
CREATE INDEX sscRequestLog_orderNumber ON sscRequestLog (orderNumber);
CREATE INDEX sscRequestLog_customerID ON sscRequestLog (customerID);
CREATE INDEX sscRequestLog_customerUserName ON sscRequestLog (customerUserName);
CREATE INDEX sscRequestLog_administratorID ON sscRequestLog (administratorID);
CREATE INDEX sscRequestLog_administratorUserName ON sscRequestLog (administratorUserName);
CREATE INDEX sscRequestLog_sessionID ON sscRequestLog (sessionID);
CREATE INDEX sscRequestLog_ipAddress ON sscRequestLog (ipAddress);
CREATE INDEX sscRequestLog_userAgent ON sscRequestLog (userAgent);
CREATE INDEX sscRequestLog_servletPath ON sscRequestLog (servletPath);
CREATE INDEX sscRequestLog_requestURL ON sscRequestLog (requestURL);
CREATE INDEX sscRequestLog_created ON sscRequestLog (created);
CREATE INDEX sscRequestLog_searchString ON sscRequestLog (searchString);

