UPDATE sscSetting SET smallValue='3.1.8' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('giftCertificateAmountAttributeCode','Gift Certificate Amount Attribute Code','The code of the Attribute in the system representing the amount of a purchased Gift Certificate in the store. The system will automatically create a new Discount representing the Gift Certificate whenever an item is ordered that has this attribute.','DISCOUNT','mediumValue',NULL,NULL,'GiftCertificateAmount',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('excludeGiftCertificatesFromDiscounts','Exclude Gift Certificates from Discounts?','If true, the value of any Gift Certificates being purchased will not be included when computing a global discount. This is advisable since Gift Certificates themselves are not typically discounted.','DISCOUNT','booleanValue','1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('giftCertificateExpireInDays','Gift Certificate Expire In Days','The amount of days from purchase a Gift Certificate is valid for. (Eg., 730 means the Gift Certificate may be used for up to two years after it is purchased after which it may no longer be redeemed.) A value of zero means unlimited. The expiration date of the Discount representing the Gift Certificate will be set according to this value.','DISCOUNT','integerValue','730',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('giftCertificateNotificationSubject','Gift Certificate Notification Subject','The subject of the notification email sent to the recipient of each of the Gift Certificates purchased in the store. (The body of the email made be modified by customizing /WEB-INF/layouts/default-xhtml/order/giftCertificateEmailHTML.jsp and giftCertificateEmailText.jsp.)','DISCOUNT','mediumValue',NULL,NULL,'Your Gift Certificate from %%STORE_NAME%% Is Ready!',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('giftCertificateNotificationCC','Gift Certificate Notification CC','A comma-separated list of email addresses that will be copied on gift certification notification emails.','DISCOUNT','textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('giftCertificateNotificationBCC','Gift Certificate Notification BCC','A comma-separated list of email addresses that will be blind copied on gift certification notification emails.','DISCOUNT','textValue',NULL,NULL,NULL,'');

UPDATE sscSetting SET integerValue = (SELECT MAX(orderNumber) FROM sscOrder), description = 'As each order is completed, it is assigned a new sequential order number, which is shown on the invoice and within the order confirmation emails. This setting is added to the value of sscOrderNumber.orderNumberID to determine the next order number of the store.' WHERE code = 'orderNumberFloor';
