<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="firstTabShown" value="${false}"/>
<div class="panel-group" id="productInfo">
      
	<%-- Product Description --%>
	<c:if test="${!empty product.description}">
		<div class="description panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-description">
						<bean:message key="product.description" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-description" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<c:out value="${product.description}" escapeXml="false"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Discount chart --%>
	<c:if test="${displaySkuDiscounts or (settings.map.storeDiscountsCount > 0 and !empty storeDiscounts and !storeDiscounts['empty'])}">
		<div class="discountChart panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-discountChart">
						<bean:message key="product.discounts" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-discountChart" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/discounts.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Promotions --%>
	<c:if test="${displayPromotions}">
		<div class="promotions panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-promotions">
						<bean:message key="product.promotions" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-promotions" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/promotions.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Product Inventory chart --%>
	<c:if test="${trackOtherSKUs}">
		<div class="inventoryChart panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-inventoryChart">
						<bean:message key="product.inventory" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-inventoryChart" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/inventory.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Product Facets --%>
	<c:if test="${displayProductFacets}">
		<div class="productFacets panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-productFacets">
						<bean:message key="product.specifications" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-productFacets" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default/product/productFacets.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Product Reviews --%>
	<c:if test="${settings.map.enableProductReviews eq '1'}">
		<div class="productReviews panel panel-default">
			<a name="reviews"></a>
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-productReviews">
						<bean:message key="product.productReviews" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-productReviews" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/productReviews.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Product File Attachments --%>
	<c:if test="${displayProductFileAttachments}">
		<div class="productFileAttachments panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-productFileAttachments">
						<bean:message key="product.fileAttachments" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-productFileAttachments" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default/product/productFileAttachments.jsp"/>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
	</c:if>
	
	<%-- Related products --%>
	<c:if test="${!empty product.relatedProducts and !product.relatedProducts['empty']}">
		<c:set var="currentProduct" value="${product}"/>
		<div class="relatedProducts panel panel-default">
			<div class="panel-heading">
				<h3 class="itemlabel panel-title">
					<a data-toggle="collapse" data-parent="#productInfo" href="#productInfo-relatedProducts">
						<bean:message key="product.relatedProducts" bundle="/product"/>&nbsp;<b class="caret"></b>
					</a>
				</h3>
			</div>
		</div>
		<div id="productInfo-relatedProducts" class="panel-collapse collapse <c:if test="${!firstTabShown}">in</c:if>">
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/product/productList.jsp">
					<ssc:put name="listCollection"  beanName="product" beanProperty="relatedProducts"/>
					<ssc:put name="relatedProductList" value="true"/>
					<ssc:put name="maxNumberOfColumns" value="3"/>
				</ssc:insert>
			</div>
		</div>
		<c:set var="firstTabShown" value="${true}"/>
		<c:set var="product" value="${currentProduct}" scope="request"/>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
