<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.order.CartDiscountProcessor,com.softslate.commerce.businessobjects.product.Discount" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	if (request.getAttribute("cartDiscountProcessor") == null) {
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
%>
<%-- Discounts that would apply if the current product were added to the cart --%>
<div class="promotionsMessage"><bean-el:message key="product.orderAndReceiveDiscount" bundle="/product" arg0="${product.name}"/>:</div>
<c:set var="productCode" value="${product.code}"/>
<div class="table-responsive">
<table class="discount table table-striped table-condensed table-bordered">
	<tr>
		<th><bean:message key="product.skuName" bundle="/product"/></th>
		<th><bean:message key="product.discountName" bundle="/product"/></th>
		<th><bean:message key="product.discountAmount" bundle="/product"/></th>
	</tr>
	<logic:iterate name="storeDiscounts" id="discount">
		<% if (((CartDiscountProcessor)request.getAttribute("cartDiscountProcessor")).isDiscountOkIfItemInCart((Discount) pageContext.getAttribute("discount"), null, (String) pageContext.getAttribute("productCode"))) { %>
			<c:choose>
				<c:when test="${discount.itemsAppliesType eq '[global]'}">
					<tr>
						<td>(<bean-el:message key="product.appliesToYourEntireOrder" bundle="/product"/>)</td>
						<td><c:out value="${discount.name}" escapeXml="false"/></td>
						<td>
							<c:choose>
								<c:when test="${discount.rewardType eq '[percentage]'}">
									<fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2">
										${discount.reward}
									</fmt:formatNumber>
									<bean:message key="product.discountPercentOff" bundle="/product"/>
								</c:when>
								<c:when test="${discount.rewardType eq '[amount]'}">
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
										${discount.reward}
									</fmt:formatNumber>
									<bean:message key="product.discountAmountOff" bundle="/product"/>
								</c:when>
							</c:choose>
						</td>
					</tr>
				</c:when>
				<c:when test="${discount.itemsAppliesType eq '[skus]' and !empty discount.skuDiscounts}">
					<logic:iterate name="discount" property="skuDiscounts" id="skuDiscount">
						<c:set var="sku" value="${skuDiscount.sku}"/>
						<tr>
							<td><c:out value="${sku.skuName}" escapeXml="false"/></td>
							<td><c:out value="${discount.name}" escapeXml="false"/></td>
							<td>
								<c:choose>
									<c:when test="${discount.rewardType eq '[percentage]'}">
										<fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2">
											${discount.reward}
										</fmt:formatNumber>
										<bean:message key="product.discountPercentOff" bundle="/product"/>
									</c:when>
									<c:when test="${discount.rewardType eq '[amount]'}">
										<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
											${discount.reward}
										</fmt:formatNumber>
										<bean:message key="product.discountAmountOff" bundle="/product"/>
									</c:when>
									<c:when test="${discount.rewardType eq '[itemsForFree]'}">
										<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0">
											${discount.reward}
										</fmt:formatNumber>
										<bean:message key="product.discountItemsForFree" bundle="/product"/>
									</c:when>
									<c:otherwise>
										<c:if test="${!empty discount.discountRanges and !discount.discountRanges['empty']}">
											<table class="discountRanges table table-condensed">
												<tr>
													<th colspan="2">
														<c:choose>
															<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
																<bean:message key="product.discountQuantities" bundle="/product"/>
															</c:when>
															<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
																<bean:message key="product.discountItemTotal" bundle="/product"/>
															</c:when>
															<c:otherwise>
																<bean:message key="product.discountRanges" bundle="/product"/>
															</c:otherwise>
														</c:choose>
													</th>
												</tr>
												<logic:iterate name="discount" property="discountRanges" id="range">
													<c:if test="${range.isActive}">
														<tr>
															<td>
																<c:choose>
																	<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
																		<fmt:formatNumber type="number" maxFractionDigits="0">
																			${range.floor}
																		</fmt:formatNumber>
																	</c:when>
																	<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
																		<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
																			${range.floor}
																		</fmt:formatNumber>
																	</c:when>
																	<c:otherwise>
																		${range.floor}
																	</c:otherwise>
																</c:choose>
																<c:choose>
																	<c:when test="${range.ceiling eq 0}">
																		<bean:message key="product.discountAndUp" bundle="/product"/>
																	</c:when>
																	<c:otherwise>
																		<bean:message key="product.discountTo" bundle="/product"/>
																		<c:choose>
																			<c:when test="${discount.rewardType eq '[rangeByQuantity]'}">
																				<fmt:formatNumber type="number" maxFractionDigits="0">
																					${range.ceiling}
																				</fmt:formatNumber>
																			</c:when>
																			<c:when test="${discount.rewardType eq '[rangeByPrice]'}">
																				<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
																					${range.ceiling}
																				</fmt:formatNumber>
																			</c:when>
																			<c:otherwise>
																				${range.ceiling}
																			</c:otherwise>
																		</c:choose>
																	</c:otherwise>
																</c:choose>
																:
															</td>
															<td>
																<c:choose>
																	<c:when test="${range.rewardType eq '[percentage]'}">
																		${range.reward}<bean:message key="product.discountPercentOff" bundle="/product"/>
																	</c:when>
																	<c:when test="${range.rewardType eq '[amount]'}">
																		<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
																			${range.reward}
																		</fmt:formatNumber>
																		<bean:message key="product.discountAmountOff" bundle="/product"/>
																	</c:when>
																	<c:when test="${range.rewardType eq '[itemsForFree]'}">
																		<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0">
																			${range.reward}
																		</fmt:formatNumber>
																		<bean:message key="product.discountItemsForFree" bundle="/product"/>
																	</c:when>
																	<c:otherwise>
																		${range.reward}
																	</c:otherwise>
																</c:choose>
															</td>
														</tr>
													</c:if>
												</logic:iterate>
											</table>
										</c:if>
									</c:otherwise>
								</c:choose>
							</td>
						</tr>
					</logic:iterate>
				</c:when>
			</c:choose>
		<% } %>
	</logic:iterate>
</table>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
