package com.softslate.commerce.administrator.email;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.email.Email;
import com.softslate.commerce.businessobjects.email.EmailProcessor;
import com.softslate.commerce.businessobjects.email.EmailSender;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/EmailSend.do". Processes a request to send an email.
 * 
 */
public class EmailSendAction extends BaseAction {

	static Log log = LogFactory.getLog(EmailSendAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		EmailAddEditForm baseForm = (EmailAddEditForm) form;
		baseForm.initializeProperties(mapping, request);
		EmailProcessor processor = (EmailProcessor) baseForm.getBusinessObjectFactory().createObject(
				"emailProcessorImplementer");
		Email email = processor.loadEmailFromID(PropertyUtils.describe(form));
		sendEmail(baseForm.getBusinessObjectFactory(), email);
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.detail", "Email Being Sent."));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());
		return mapping.findForward("success");
	}

	protected void sendEmail(BusinessObjectFactory bof, Email email) throws Exception {
		EmailSender sender =  bof.createObject(EmailSender.class);
		sender.setEmail(email);
		sender.send();
	}

}
