package com.softslate.commerce.administrator.order;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.customer.core.AppUtils;

/**
 * Struts form class corresponding to requests to "/administrator/Order.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscOrder</code> table.
 * 
 * @author David Tobey
 */
public class OrderForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3905808577947055413L;

	static Log log = LogFactory.getLog(OrderForm.class);

	private String withSelectedStatus = null;

	private String withSelectedPrint = null;

	private String withSelectedEmail = null;

	private String withSelectedAction = null;

	private String processSelectedAction = "/OrderProcessSelected.do";

	private String[] selectedID = null;

	private String idField = "orderID";

	private String parentIDField = null;

	private String nameField = "email1";

	private String childName = "Details";

	private String entityProperty = "order";

	private Class entity = Order.class;

	private String[] searchableIntFields = { "orderID", "orderNumber" };

	private String[] searchableFields = { "userName", "trackingNumber",
			"autoSavedCartToken", "status", "statusDetails", "shippingMethod",
			"firstName", "lastName", "organization", "address1", "address2",
			"city", "state", "postalCode", "country", "phone1", "phone2",
			"email1", "email2", "extra1", "extra2", "extra3", "extra4",
			"extra5", "completed", "paymentProfileID" };

	private String[] fields = { "orderID", "orderNumber", "userName",
			"trackingNumber", "autoSavedCartToken", "total", "shipping", "tax",
			"taxableSubtotal", "subtotal", "weight", "quantity", "created",
			"lastModified", "completed", "status", "statusDetails",
			"shippingMethod", "firstName", "lastName", "organization",
			"address1", "address2", "city", "state", "postalCode", "country",
			"phone1", "phone2", "email1", "email2", "extra1", "extra2",
			"extra3", "extra4", "extra5", "notes", "paymentProfileID" };

	private String[] fieldLables = { "Order ID", "Order #", "User Name",
			"Tracking #", "Saved Cart Token", "Total", "Shipping", "Tax",
			"Taxable Sub", "Subtotal", "Weight", "Quantity", "Created",
			"Last Modified", "Completed", "Status", "Status Details",
			"Shipping Method", "First Name", "Last Name", "Organization",
			"Address 1", "Address 2", "City", "State", "Postal Code",
			"Country", "Phone 1", "Phone 2", "Email 1", "Email 2", "Extra 1",
			"Extra 2", "Extra 3", "Extra 4", "Extra 5", "Notes",
			"Payment Profile ID" };

	private String[] displayFields = { "orderNumber", "total", "completed", "status", "lastName", "userName" };

	private String sortByString = "orderNumber";

	private String[] cantSortByFields = { "notes" };

	private String formAction = "/Order.do";

	private String addFormAction = "/OrderAddForm.do";

	private String editFormAction = "/OrderOverview.do";

	private String editDeleteFormAction = "/OrderEditDelete.do";

	private String childEditAction = "/OrderEditForm.do";

	private String workWithOrders = "All Completed";

	private String customerID = "";

	private String[] orderID = null;

	private String[] userName = null;

	private String[] orderNumber = null;

	private String[] trackingNumber = null;

	private String[] total = null;

	private String[] shipping = null;

	private String[] tax = null;

	private String[] taxableSubtotal = null;

	private String[] subtotal = null;

	private String[] weight = null;

	private String[] quantity = null;

	private String[] created = null;

	private String[] lastModified = null;

	private String[] completed = null;

	private String[] autoSavedCartToken = null;

	private String[] status = null;

	private String[] statusDetails = null;

	private String[] shippingMethod = null;

	private String[] firstName = null;

	private String[] lastName = null;

	private String[] organization = null;

	private String[] address1 = null;

	private String[] address2 = null;

	private String[] city = null;

	private String[] state = null;

	private String[] postalCode = null;

	private String[] country = null;

	private String[] phone1 = null;

	private String[] phone2 = null;

	private String[] email1 = null;

	private String[] email2 = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] extra4 = null;

	private String[] extra5 = null;

	private String[] notes = null;

	private String[] paymentProfileID = null;

	public String getWorkWithOrders() {
		return workWithOrders;
	}

	public void setWorkWithOrders(String workWithOrders) {
		this.workWithOrders = workWithOrders;
	}

	public String getCustomerID() {
		return customerID;
	}

	public void setCustomerID(String customerID) {
		this.customerID = customerID;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getAddress1() {
		return address1;
	}

	public void setAddress1(String[] address1) {
		this.address1 = address1;
	}

	public String[] getAddress2() {
		return address2;
	}

	public void setAddress2(String[] address2) {
		this.address2 = address2;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getCity() {
		return city;
	}

	public void setCity(String[] city) {
		this.city = city;
	}

	public String[] getCompleted() {
		return completed;
	}

	public void setCompleted(String[] completed) {
		this.completed = completed;
	}

	public String[] getCountry() {
		return country;
	}

	public void setCountry(String[] country) {
		this.country = country;
	}

	public String[] getCreated() {
		return created;
	}

	public void setCreated(String[] created) {
		this.created = created;
	}

	public String[] getEmail1() {
		return email1;
	}

	public void setEmail1(String[] email1) {
		this.email1 = email1;
	}

	public String[] getEmail2() {
		return email2;
	}

	public void setEmail2(String[] email2) {
		this.email2 = email2;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getExtra4() {
		return extra4;
	}

	public void setExtra4(String[] extra4) {
		this.extra4 = extra4;
	}

	public String[] getExtra5() {
		return extra5;
	}

	public void setExtra5(String[] extra5) {
		this.extra5 = extra5;
	}

	public String[] getFirstName() {
		return firstName;
	}

	public void setFirstName(String[] firstName) {
		this.firstName = firstName;
	}

	public String[] getLastModified() {
		return lastModified;
	}

	public void setLastModified(String[] lastModified) {
		this.lastModified = lastModified;
	}

	public String[] getLastName() {
		return lastName;
	}

	public void setLastName(String[] lastName) {
		this.lastName = lastName;
	}

	public String[] getNotes() {
		return notes;
	}

	public void setNotes(String[] notes) {
		this.notes = notes;
	}

	public String[] getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String[] orderNumber) {
		this.orderNumber = orderNumber;
	}

	public String[] getOrganization() {
		return organization;
	}

	public void setOrganization(String[] organization) {
		this.organization = organization;
	}

	public String[] getPhone1() {
		return phone1;
	}

	public void setPhone1(String[] phone1) {
		this.phone1 = phone1;
	}

	public String[] getPhone2() {
		return phone2;
	}

	public void setPhone2(String[] phone2) {
		this.phone2 = phone2;
	}

	public String[] getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String[] postalCode) {
		this.postalCode = postalCode;
	}

	public String[] getQuantity() {
		return quantity;
	}

	public void setQuantity(String[] quantity) {
		this.quantity = quantity;
	}

	public String[] getShipping() {
		return shipping;
	}

	public void setShipping(String[] shipping) {
		this.shipping = shipping;
	}

	public String[] getState() {
		return state;
	}

	public void setState(String[] state) {
		this.state = state;
	}

	public String[] getAutoSavedCartToken() {
		return autoSavedCartToken;
	}

	public void setAutoSavedCartToken(String[] autoSavedCartToken) {
		this.autoSavedCartToken = autoSavedCartToken;
	}

	public String[] getStatus() {
		return status;
	}

	public void setStatus(String[] status) {
		this.status = status;
	}

	public String[] getStatusDetails() {
		return statusDetails;
	}

	public void setStatusDetails(String[] statusDetails) {
		this.statusDetails = statusDetails;
	}

	public String[] getShippingMethod() {
		return shippingMethod;
	}

	public void setShippingMethod(String[] shippingMethod) {
		this.shippingMethod = shippingMethod;
	}

	public String[] getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(String[] subtotal) {
		this.subtotal = subtotal;
	}

	public String[] getTax() {
		return tax;
	}

	public void setTax(String[] tax) {
		this.tax = tax;
	}

	public String[] getTaxableSubtotal() {
		return taxableSubtotal;
	}

	public void setTaxableSubtotal(String[] taxableSubtotal) {
		this.taxableSubtotal = taxableSubtotal;
	}

	public String[] getTotal() {
		return total;
	}

	public void setTotal(String[] total) {
		this.total = total;
	}

	public String[] getTrackingNumber() {
		return trackingNumber;
	}

	public void setTrackingNumber(String[] trackingNumber) {
		this.trackingNumber = trackingNumber;
	}

	public String[] getUserName() {
		return userName;
	}

	public void setUserName(String[] userName) {
		this.userName = userName;
	}

	public String[] getWeight() {
		return weight;
	}

	public void setWeight(String[] weight) {
		this.weight = weight;
	}

	public String[] getPaymentProfileID() {
		return paymentProfileID;
	}

	public void setPaymentProfileID(String[] paymentProfileID) {
		this.paymentProfileID = paymentProfileID;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String[] getOrderID() {
		return orderID;
	}

	public void setOrderID(String[] orderID) {
		this.orderID = orderID;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String getWithSelectedStatus() {
		return withSelectedStatus;
	}

	public void setWithSelectedStatus(String withSelectedStatus) {
		this.withSelectedStatus = withSelectedStatus;
	}

	public String getWithSelectedPrint() {
		return withSelectedPrint;
	}

	public void setWithSelectedPrint(String withSelectedPrint) {
		this.withSelectedPrint = withSelectedPrint;
	}

	public String getWithSelectedEmail() {
		return withSelectedEmail;
	}

	public void setWithSelectedEmail(String withSelectedEmail) {
		this.withSelectedEmail = withSelectedEmail;
	}

	public String getProcessSelectedAction() {
		return processSelectedAction;
	}

	public void setProcessSelectedAction(String processSelectedAction) {
		this.processSelectedAction = processSelectedAction;
	}

	public String[] getSelectedID() {
		return selectedID;
	}

	public void setSelectedID(String[] selectedID) {
		this.selectedID = selectedID;
	}

	public String getWithSelectedAction() {
		return withSelectedAction;
	}

	public void setWithSelectedAction(String withSelectedAction) {
		this.withSelectedAction = withSelectedAction;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getOrderID() != null
				&& (getWorkWithOrders() == null || !getWorkWithOrders()
						.equals("Incomplete"))) {
			for (int i = 0; i < getOrderID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("orderNumber")) {
					if (getOrderNumber().length < i + 1
							|| getOrderNumber()[i] == null
							|| getOrderNumber()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Order Number"));
					}
				}
			}
		}
		return errors;
	}

	public void setProperties(HttpServletRequest request) {
		// Run the super's method
		super.setProperties(request);

		// Set or retrieve workWithOrders switch in the session
		synchronized (AppUtils.getSessionLock(request.getSession())) {
			String sessionWorkWithOrders = (String) request
					.getSession().getAttribute(
							getEntity().getName() + ".workWithOrders");
			if (request.getParameter("workWithOrders") != null) {
				request.getSession().setAttribute(
						getEntity().getName() + ".workWithOrders",
						getWorkWithOrders());
			} else if (sessionWorkWithOrders != null) {
				setWorkWithOrders(sessionWorkWithOrders);
			}
		}

		// Sort by the lastModified field if workWithOrders switch is
		// set to [incomplete]
		if (getWorkWithOrders() != null
				&& getWorkWithOrders().equals("Incomplete")
				&& getSortByString() != null
				&& getSortByString().equals("orderNumber")) {
			setSortByString("lastModified");
		}
	}
}
