package com.softslate.commerce.administrator.order;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.order.OrderDelivery;
import com.softslate.commerce.businessobjects.order.OrderItemProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/OrderItemEditDelete.do". Processes a request to delete and
 * edit multiple records in the system. These requests are generated when the
 * adminstrator is deleting or editing multiple records simultaneously while in
 * edit mode.
 * 
 * @author David Tobey
 * 
 */
public class OrderItemEditDeleteAction extends BaseAction {

	static Log log = LogFactory.getLog(OrderItemEditDeleteAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		OrderItemForm baseForm = (OrderItemForm) form;

		// Prepare parameters for the edit/delete processing, and process
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		OrderItemProcessor processor =  bof
				.createObject(OrderItemProcessor.class);
		Map parameters = PropertyUtils.describe(form);
		for (int j = 0; j < baseForm.getDisplayFields().length; j++) {
			String displayField = baseForm.getDisplayFields()[j];
			if (displayField.equals("orderDeliveryID")) {
				OrderDelivery[] parents = new OrderDelivery[baseForm
						.getOrderDeliveryID().length];
				for (int k = 0; k < baseForm.getOrderDeliveryID().length; k++) {
					OrderDelivery parent =  bof
							.createObject(OrderDelivery.class);
					parent.setOrderDeliveryID(Integer.parseInt(baseForm
							.getOrderDeliveryID()[k]));
					parents[k] = parent;
				}
				parameters.put("orderDelivery", parents);
				String[] displayFields = (String[]) parameters.get("displayFields");
				displayFields[j] = "orderDelivery";
			} else {
				parameters.put(displayField, PropertyUtils.getProperty(
						baseForm, displayField));
			}
		}
		parameters.put(baseForm.getIdField(), PropertyUtils.getProperty(
				baseForm, baseForm.getIdField()));
		parameters.put("deleteID", baseForm.getDeleteID());
		processor.editDeleteOrderItems(parameters);

		// Set the success message
		ActionMessages messages = new ActionMessages();
		messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
				"messages.recordsSaved"));
		saveMessages(request, messages);

		return mapping.findForward("success");
	}
}
