package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/SendEmailsForm.do" and "/administrator/SendEmails.do". Simply
 * prompts the administrator to indicate which emails he or she wants (re)sent.
 * 
 * @author David Tobey
 */
public class SendEmailsForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3257290210164290872L;

	static Log log = LogFactory.getLog(SendEmailsForm.class);

	private String orderID = null;

	private String sendCustomerEmail = "false";

	private String sendNotificationEmail = "false";

	private String sendGiftCertificateEmails = "false";

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String getSendCustomerEmail() {
		return sendCustomerEmail;
	}

	public void setSendCustomerEmail(String sendCustomerEmail) {
		this.sendCustomerEmail = sendCustomerEmail;
	}

	public String getSendNotificationEmail() {
		return sendNotificationEmail;
	}

	public void setSendNotificationEmail(String sendNotificationEmail) {
		this.sendNotificationEmail = sendNotificationEmail;
	}

	public String getSendGiftCertificateEmails() {
		return sendGiftCertificateEmails;
	}

	public void setSendGiftCertificateEmails(String sendGiftCertificateEmails) {
		this.sendGiftCertificateEmails = sendGiftCertificateEmails;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getOrderID() == null || getOrderID().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Order ID"));
		}
		if ((getSendCustomerEmail() == null || getSendCustomerEmail().equals(
				"false"))
				&& (getSendNotificationEmail() == null || getSendNotificationEmail()
						.equals("false"))
				&& (getSendGiftCertificateEmails() == null || getSendGiftCertificateEmails()
						.equals("false"))) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.detail",
							"Please indicate which email(s) to send."));
		}
		return getErrors();
	}
}
