package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Discount;

/**
 * Struts form class corresponding to requests to "/administrator/Discount.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscDiscount</code> table.
 * 
 * @author David Tobey
 */
public class DiscountForm extends BaseSerializableForm {

	private static final long serialVersionUID = -637289191556735166L;

	static Log log = LogFactory.getLog(DiscountForm.class);

	private String idField = "discountID";

	private String nameField = "code";

	private String childName = "Ranges";

	private boolean m2mChild = false;

	private String parentIDField = null;

	private String entityProperty = "discount";

	private Class entity = Discount.class;

	private String[] fields = { "discountID", "code", "name", "description",
			"usersAppliesType", "usersAppliesValue", "itemsAppliesValue",
			"itemsAppliesType", "cartItemsValue", "cartItemsType",
			"rewardType", "reward", "couponCode", "startDate",
			"expirationDate", "timesUsed", "maxTimesUsed",
			"isTimesPerCustomer", "orderItemID", "isActive", "discountOrder",
			"extra1", "extra2", "extra3" };

	private String[] fieldLables = { "Discount ID", "Code", "Name",
			"Description", "Users Type", "Users Value", "Items Value",
			"Items Type", "Cart Items", "Cart Items Type", "Reward Type",
			"Reward Amount", "Coupon Code", "Start Date", "Expiration Date",
			"Times Used", "Max Times Allowed", "Times Per Cust?", "Orig Order Item",
			"Active?", "Order", "Extra 1", "Extra 2", "Extra 3" };

	private String[] displayFields = { "code", "name", "rewardType", "reward" };

	private String[] searchableIntFields = { "discountID", "orderItemID" };

	private String[] searchableFields = { "code", "name", "usersAppliesType",
			"usersAppliesValue", "itemsAppliesValue", "itemsAppliesType",
			"cartItemsValue", "cartItemsType", "rewardType", "couponCode",
			"extra1", "extra2", "extra3" };

	private String sortByString = "discountOrder";

	private String[] cantSortByFields = { "description" };

	private String sortAscOrDesc = "ASC";

	private String formAction = "/Discount.do";

	private String addFormAction = "/DiscountAddForm.do";

	private String editFormAction = "/DiscountEditForm.do";

	private String editDeleteFormAction = "/DiscountEditDelete.do";

	private String childEditAction = "/DiscountRange.do";

	private String productID = "";

	private String skuID = "";

	private String[] skuIDs = null;

	private String[] discountID = null;

	private String[] code = null;

	private String[] name = null;

	private String[] description = null;

	private String[] isActive = null;

	private String[] usersAppliesType = null;

	private String[] usersAppliesValue = null;

	private String[] itemsAppliesValue = null;

	private String[] itemsAppliesType = null;

	private String[] cartItemsValue = null;

	private String[] cartItemsType = null;

	private String[] rewardType = null;

	private String[] reward = null;

	private String[] couponCode = null;

	private String[] startDate = null;

	private String[] expirationDate = null;

	private String[] timesUsed = null;

	private String[] maxTimesUsed = null;

	private String[] isTimesPerCustomer = null;

	private String[] orderItemID = null;

	private String[] discountOrder = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public boolean isM2mChild() {
		return m2mChild;
	}

	public void setM2mChild(boolean child) {
		m2mChild = child;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String[] getCouponCode() {
		return couponCode;
	}

	public void setCouponCode(String[] couponCode) {
		this.couponCode = couponCode;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getDiscountOrder() {
		return discountOrder;
	}

	public void setDiscountOrder(String[] discountOrder) {
		this.discountOrder = discountOrder;
	}

	public String[] getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(String[] expirationDate) {
		this.expirationDate = expirationDate;
	}

	public String[] getIsActive() {
		return isActive;
	}

	public void setIsActive(String[] isActive) {
		this.isActive = isActive;
	}

	public String[] getIsTimesPerCustomer() {
		return isTimesPerCustomer;
	}

	public void setIsTimesPerCustomer(String[] isTimesPerCustomer) {
		this.isTimesPerCustomer = isTimesPerCustomer;
	}

	public String[] getMaxTimesUsed() {
		return maxTimesUsed;
	}

	public void setMaxTimesUsed(String[] maxTimesUsed) {
		this.maxTimesUsed = maxTimesUsed;
	}

	public String[] getCartItemsValue() {
		return cartItemsValue;
	}

	public void setCartItemsValue(String[] cartItemsValue) {
		this.cartItemsValue = cartItemsValue;
	}

	public String[] getCartItemsType() {
		return cartItemsType;
	}

	public void setCartItemsType(String[] cartItemsType) {
		this.cartItemsType = cartItemsType;
	}

	public String[] getReward() {
		return reward;
	}

	public void setReward(String[] reward) {
		this.reward = reward;
	}

	public String[] getRewardType() {
		return rewardType;
	}

	public void setRewardType(String[] rewardType) {
		this.rewardType = rewardType;
	}

	public String[] getStartDate() {
		return startDate;
	}

	public void setStartDate(String[] startDate) {
		this.startDate = startDate;
	}

	public String[] getTimesUsed() {
		return timesUsed;
	}

	public void setTimesUsed(String[] timesUsed) {
		this.timesUsed = timesUsed;
	}

	public String[] getItemsAppliesType() {
		return itemsAppliesType;
	}

	public void setItemsAppliesType(String[] itemsAppliesType) {
		this.itemsAppliesType = itemsAppliesType;
	}

	public String[] getItemsAppliesValue() {
		return itemsAppliesValue;
	}

	public void setItemsAppliesValue(String[] itemsAppliesValue) {
		this.itemsAppliesValue = itemsAppliesValue;
	}

	public String[] getUsersAppliesType() {
		return usersAppliesType;
	}

	public void setUsersAppliesType(String[] usersAppliesType) {
		this.usersAppliesType = usersAppliesType;
	}

	public String[] getUsersAppliesValue() {
		return usersAppliesValue;
	}

	public void setUsersAppliesValue(String[] usersAppliesValue) {
		this.usersAppliesValue = usersAppliesValue;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getSKUID() {
		return skuID;
	}

	public void setSKUID(String skuID) {
		this.skuID = skuID;
	}

	public String[] getDiscountID() {
		return discountID;
	}

	public void setDiscountID(String[] discountID) {
		this.discountID = discountID;
	}

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getSkuID() {
		return skuID;
	}

	public void setSkuID(String skuID) {
		this.skuID = skuID;
	}

	public String getChildEditAction() {
		return childEditAction;
	}

	public void setChildEditAction(String childEditAction) {
		this.childEditAction = childEditAction;
	}

	public String[] getSkuIDs() {
		return skuIDs;
	}

	public void setSkuIDs(String[] skuIDs) {
		this.skuIDs = skuIDs;
	}

	public String[] getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String[] orderItemID) {
		this.orderItemID = orderItemID;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
		if (getParentIDField() != null
				&& (getParentIDField().equals("skuID") || getParentIDField()
						.equals("productID"))) {
			setParentKey("skuImplementer");
			setManyToManyKey("skuDiscountImplementer");
			setManyToManyProp("skuDiscounts");
			setManyToManyClass("com.softslate.commerce.businessobjects.product.SKUDiscount");
			setParentProperty("sku");
		}
		if (getParentIDField() != null
				&& getParentIDField().equals("productID")) {
			setJoinManyToManyParent("true");
			setFields(arrayPrepend(getFields(), "skus"));
			setFieldLables(arrayPrepend(getFieldLables(), "SKUs"));
			setDisplayFields(arrayPrepend(getDisplayFields(), "skus"));
			setCantSortByFields(arrayPrepend(getCantSortByFields(), "skus"));
		}
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		ActionErrors errors = new ActionErrors();
		setProperties(request);
		if (getDiscountID() != null) {
			for (int i = 0; i < getDiscountID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("code")) {
					if (getCode().length < i + 1 || getCode()[i] == null
							|| getCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getCode()[i], request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + StringEscapeUtils.escapeXml11(getCode()[i]),
										containsUnsafeCharacter(getCode()[i],
												request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("couponCode")) {
					if (getCouponCode()[i] != null
							&& !getCouponCode()[i].equals("")
							&& containsUnsafeCharacter(getCouponCode()[i],
									request) != null) {
						errors
								.add(ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage(
												"errors.unsafeCharacter",
												"The coupon code "
														+ StringEscapeUtils.escapeXml11(getCouponCode()[i]),
												containsUnsafeCharacter(
														getCouponCode()[i],
														request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("isActive")) {
					if (getIsActive().length < i + 1
							|| getIsActive()[i] == null
							|| getIsActive()[i].equals("")) {
						errors
								.add(ActionMessages.GLOBAL_MESSAGE,
										new ActionMessage("errors.required",
												"Active?"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains(
						"isTimesPerCustomer")) {
					if (getIsTimesPerCustomer().length < i + 1
							|| getIsTimesPerCustomer()[i] == null
							|| getIsTimesPerCustomer()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Times Per Customer?"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("discountOrder")) {
					if (getDiscountOrder().length < i + 1
							|| getDiscountOrder()[i] == null
							|| getDiscountOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Discount Order"));
					}
				}
			}
		}
		return errors;
	}
}
