package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class ProductSettingsFormDisplay extends BaseForm {

	private static final long serialVersionUID = 1032074196816065965L;

	static Log log = LogFactory.getLog(ProductSettingsFormDisplay.class);

	private String productID = null;

	private String parentName = null;

	private String breadcrumbName = "other settings";

	private String breadcrumbTarget = "ProductSettingsDisplay.do";

	private String type = "DISPLAY";

	private String[] code = { "displayAsMatrix", "pageLayoutStyle",
			"seoTitleTag", "seoAppendToTitleTag", "seoMetaDescription" };

	private String[] name = { "Display Attributes in a Matrix",
			"Page Layout Style", "SEO Title Tag",
			"SEO Append Names to Title Tag?", "SEO Meta Description" };

	private String[] description = {
			"If true, 'compact' and 'expanded' attributes will be displayed together in a grid matrix, allowing customers to add multiple combinations to their cart at the same time.",
			"The style of layout used for the page. The Sidebar Layout includes the category tree and other content on the side panel. The Full Layout eliminates the sidebar and devotes the entire width of the page to the content.",
			"The title used in the title tag in the page's HTML head section. If empty, the name defined under the details tab will be used. This setting allows you to define a separate title for title tag than the one that appears on the page.",
			"If yes, for this page the system will automatically append the store name defined under Store Settings -> Store Contact Information to the begining of the title tag and the page name (eg 'Product Details') to the end of it.",
			"The description used in the meta/description tag in the page's HTML head section. If empty, the main description defined under the details tab will be used. This setting allows you to define a separate description for the meta tag.", };

	private String[] value = { "0", "leftLayout", "", "1", "" };

	private String[] valueType = { "integerValue", "smallValue", "mediumValue",
			"booleanValue", "textValue" };

	public String[] getCode() {
		return code;
	}

	public void setCode(String[] code) {
		this.code = code;
	}

	public String[] getDescription() {
		return description;
	}

	public void setDescription(String[] description) {
		this.description = description;
	}

	public String[] getName() {
		return name;
	}

	public void setName(String[] name) {
		this.name = name;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String[] getValue() {
		return value;
	}

	public void setValue(String[] value) {
		this.value = value;
	}

	public String[] getValueType() {
		return valueType;
	}

	public void setValueType(String[] valueType) {
		this.valueType = valueType;
	}

	public String getBreadcrumbName() {
		return breadcrumbName;
	}

	public void setBreadcrumbName(String breadcrumbName) {
		this.breadcrumbName = breadcrumbName;
	}

	public String getBreadcrumbTarget() {
		return breadcrumbTarget;
	}

	public void setBreadcrumbTarget(String breadcrumbTarget) {
		this.breadcrumbTarget = breadcrumbTarget;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		return getErrors();
	}

}
