package com.softslate.commerce.administrator.shipping;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.shipping.ShippingRateProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ShippingRateEdit.do". Processes a request to edit a record
 * within the system.
 * 
 * @author David Tobey
 */
public class ShippingRateEditAction extends BaseAction {

	static Log log = LogFactory.getLog(ShippingRateEditAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		// Edit the record
		ShippingRateProcessor processor = (ShippingRateProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"shippingRateProcessorImplementer");
		Map results = processor.editShippingRate(baseForm.mapOfIncomingParams());

		// Successful update
		if (results == null || results.get("resultCode") == null || results.get("resultCode").equals("0")) {

			// entity.jsp wants the updated record in the request scope
			request.setAttribute("shippingRate", results.get("updatedRecord"));

			// Set the success messages
			baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordSaved"));
			saveMessages(baseForm.getRequest(), baseForm.getMessages());
		}

		return mapping.findForward("success");
	}
}
