package com.softslate.commerce.businessobjects.core;

import java.io.Serializable;
import java.util.Collection;
import java.util.Locale;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.administrator.Administrator;
import com.softslate.commerce.businessobjects.customer.Customer;
import com.softslate.commerce.businessobjects.order.Order;

/**
 * Represents an end user accessing the system. <code>UserBean</code> is the
 * default implementation of the <code>User</code> interface for the
 * application.
 * 
 * @author David Tobey
 * 
 * @see com.softslate.commerce.businessobjects.core.User
 */
public class UserBean extends BaseBusinessObject implements User, Serializable {

	private static final long serialVersionUID = 3258131353790068274L;

	static Log log = LogFactory.getLog(UserBean.class);

	/**
	 * @see #getLocale()
	 */
	private Locale locale = null;

	public Locale getLocale() {
		return (this.locale);
	}

	public void setLocale(Locale locale) {
		this.locale = locale;
	}

	/**
	 * @see #getOrder()
	 */
	private Order order = null;

	public Order getOrder() {
		return (this.order);
	}

	public void setOrder(Order order) {
		this.order = order;
	}

	/**
	 * @see #getCustomer()
	 */
	private Customer customer = null;

	public Customer getCustomer() {
		return (this.customer);
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	/**
	 * @see #getEnteredCouponCodes()
	 */
	private Collection enteredCouponCodes = null;

	public Collection getEnteredCouponCodes() {
		return enteredCouponCodes;
	}

	public void setEnteredCouponCodes(Collection enteredCouponCodes) {
		this.enteredCouponCodes = enteredCouponCodes;
	}

	/**
	 * @see #getAdministrator()
	 */
	private Administrator administrator = null;

	public Administrator getAdministrator() {
		return (this.administrator);
	}

	public void setAdministrator(Administrator administrator) {
		this.administrator = administrator;
	}

	/**
	 * @see #getCustomMap()
	 */
	private Map customMap = null;

	public Map getCustomMap() {
		return customMap;
	}

	public void setCustomMap(Map customMap) {
		this.customMap = customMap;
	}

}
