package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts action class for submissions to view the checkout login form. Used for
 * requests to "/Checkout.do", if the user has not logged in and is required to,
 * or if the user has not yet declined to log in.
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#prepareLoginForm(BaseForm)}
 * to prepare the login form.
 * 
 * @author David Tobey
 * @version $Id: CheckoutLoginFormAction.java,v 1.3 2004/10/21 05:08:58 dtobey
 *          Exp $
 */
public class CheckoutLoginFormAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutLoginFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		// Initialize a new BaseForm
		BaseForm baseForm = new BaseForm();
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);

		// Prepare the forms.
		prepareLoginForm(baseForm);
		prepareRegisterForm(baseForm);
		return baseForm.getMapping().findForward("success");
	}

}
