package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO that runs miscellaneous queries related to productSettings.
 * 
 * @author David Tobey
 * 
 */
public interface ProductSettingGatewayDAO extends DAOInterface {
	abstract Map loadProductSettingsAndCount(Map parameters) throws Exception;

	abstract Map editDeleteProductSettings(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract Collection loadAllProductSettings() throws DataAccessException;

	abstract int loadMaxProductSettingID() throws Exception;

	abstract Collection loadAllProductSettingsInRange(int firstID, int lastID)
			throws Exception;
}
