package com.softslate.commerce.daos.tax;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to basic tax
 * rates.
 * 
 * @author David Tobey
 */
public interface BasicTaxRateGatewayDAO extends DAOInterface {
	abstract Map loadBasicTaxRatesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteTaxRates(Map parameters,
			BusinessObjectFactory bof) throws Exception;

	abstract Collection loadActiveBasicTaxRates() throws Exception;

	abstract int loadMaxBasicTaxRateID() throws Exception;

	abstract Collection loadAllBasicTaxRatesInRange(int firstID, int lastID) throws Exception;
}
