CREATE TABLE sscCustomer (
  customerID INT IDENTITY NOT NULL,
  userName VARCHAR(100) NOT NULL,
  password VARCHAR(255) DEFAULT NULL,
  created VARCHAR(100) DEFAULT NULL,
  lastLogin VARCHAR(100) DEFAULT NULL,
  autoLoginToken VARCHAR(255) DEFAULT NULL,
  status VARCHAR(100) DEFAULT NULL,
  firstName VARCHAR(100) DEFAULT NULL,
  lastName VARCHAR(100) DEFAULT NULL,
  organization VARCHAR(100) DEFAULT NULL,
  address1 VARCHAR(255) DEFAULT NULL,
  address2 VARCHAR(255) DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  state VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  country VARCHAR(100) DEFAULT NULL,
  phone1 VARCHAR(100) DEFAULT NULL,
  phone2 VARCHAR(100) DEFAULT NULL,
  email1 VARCHAR(100) DEFAULT NULL,
  email2 VARCHAR(100) DEFAULT NULL,
  cimProfileID VARCHAR(100) DEFAULT NULL,
  canUsePO BIT NOT NULL DEFAULT '0',
  passwordToken VARCHAR(100),
  passwordTokenDate VARCHAR(100),
  passwordExpires VARCHAR(255),
  numberOfFailedLogins INT(11),
  lockedOutUntil VARCHAR(255),
  previousPasswords TEXT,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  extra4 VARCHAR(255) DEFAULT NULL,
  extra5 VARCHAR(255) DEFAULT NULL,
  notes TEXT DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerBean',
  CONSTRAINT PK_customerID PRIMARY KEY CLUSTERED 
  ( customerID ) ON [PRIMARY],
  CONSTRAINT AK_userName UNIQUE NONCLUSTERED 
  ( userName ) ON [PRIMARY],
  CONSTRAINT AK_passwordToken UNIQUE NONCLUSTERED 
  ( passwordToken ) ON [PRIMARY]
);

CREATE INDEX IDX_sscCustomer_userName ON sscCustomer (userName);
CREATE INDEX IDX_sscCustomer_firstName ON sscCustomer (firstName);
CREATE INDEX IDX_sscCustomer_lastName ON sscCustomer (lastName);
CREATE INDEX IDX_sscCustomer_address1 ON sscCustomer (address1);
CREATE INDEX IDX_sscCustomer_postalCode ON sscCustomer (postalCode);
CREATE INDEX IDX_sscCustomer_phone1 ON sscCustomer (phone1);
CREATE INDEX IDX_sscCustomer_email1 ON sscCustomer (email1);
CREATE INDEX IDX_sscC_autoLogin ON sscCustomer (autoLoginToken);
ALTER TABLE sscProductReview ADD CONSTRAINT FK_customer_productReview FOREIGN KEY (
	customerID
  ) REFERENCES sscCustomer (
	customerID
  ) ON DELETE SET NULL;

CREATE TABLE sscCustomerAddress (
  customerAddressID INT IDENTITY NOT NULL,
  customerID INT NOT NULL DEFAULT '0',
  status VARCHAR(100) DEFAULT NULL,
  firstName VARCHAR(100) DEFAULT NULL,
  lastName VARCHAR(100) DEFAULT NULL,
  organization VARCHAR(100) DEFAULT NULL,
  address1 VARCHAR(255) DEFAULT NULL,
  address2 VARCHAR(255) DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  state VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  country VARCHAR(100) DEFAULT NULL,
  phone1 VARCHAR(100) DEFAULT NULL,
  phone2 VARCHAR(100) DEFAULT NULL,
  email1 VARCHAR(100) DEFAULT NULL,
  email2 VARCHAR(100) DEFAULT NULL,
  isDefault BIT NOT NULL DEFAULT '0',
  paymentToken VARCHAR(255),
  creditCardName VARCHAR(255),
  creditCardType VARCHAR(255),
  creditCardDate VARCHAR(255),
  creditCardNumberDisplay VARCHAR(255),
  identifier VARCHAR(255),
  isBilling BIT NOT NULL DEFAULT '0',
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  extra4 VARCHAR(255) DEFAULT NULL,
  extra5 VARCHAR(255) DEFAULT NULL,
  notes TEXT DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerAddressBean',
  CONSTRAINT PK_customerAddressID PRIMARY KEY CLUSTERED 
  ( customerAddressID ) ON [PRIMARY],
  CONSTRAINT FK_customer_customerDelivery FOREIGN KEY (
	customerID
  ) REFERENCES sscCustomer (
	customerID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE INDEX IDX_sscCustomerAddress_firstName ON sscCustomerAddress (firstName);
CREATE INDEX IDX_sscCustomerAddress_lastName ON sscCustomerAddress (lastName);
CREATE INDEX IDX_sscCustomerAddress_address1 ON sscCustomerAddress (address1);
CREATE INDEX IDX_sscCustomerAddress_postalCode ON sscCustomerAddress (postalCode);
CREATE INDEX IDX_sscCustomerAddress_phone1 ON sscCustomerAddress (phone1);
CREATE INDEX IDX_sscCustomerAddress_email1 ON sscCustomerAddress (email1);

CREATE TABLE sscCustomerWishList (
  customerWishListID INT IDENTITY NOT NULL,
  customerID INT NOT NULL DEFAULT '0',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  created VARCHAR(100) DEFAULT NULL,
  lastUpdated VARCHAR(100) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListBean',
  CONSTRAINT PK_customerWishListID PRIMARY KEY CLUSTERED 
  ( customerWishListID ) ON [PRIMARY],
  CONSTRAINT FK_customer_customerWishList FOREIGN KEY (
	customerID
  ) REFERENCES sscCustomer (
	customerID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);

CREATE TABLE sscCustomerWishListProduct (
  customerWishListProductID INT IDENTITY NOT NULL,
  customerWishListID INT NOT NULL DEFAULT '0',
  productID INT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.customer.CustomerWishListProductBean',
  CONSTRAINT PK_customerWishListProductID PRIMARY KEY CLUSTERED 
  ( customerWishListProductID ) ON [PRIMARY],
  CONSTRAINT FK_customerWL_customerWLP FOREIGN KEY (
	customerWishListID
  ) REFERENCES sscCustomerWishList (
	customerWishListID
  ) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT FK_product_customerWLP FOREIGN KEY (
	productID
  ) REFERENCES sscProduct (
	productID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);
