UPDATE sscSetting SET smallValue='3.3.3' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('useAdvancedLostPassword','Use Advanced Lost Password Method?','If yes, the system will send the user a link with a temporary token via email.   They must click the link and then can change their password on the form.','CUSTOMERACCOUNT','booleanValue','0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('tokenExpirationPeriod', 'Customer Password Token Expiration', 'The amount of hours that the user has to reset his password with a reset link.', 'CUSTOMERACCOUNT', 'integerValue', 4, NULL, NULL, NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('lostPasswordEmailSubjectAdvanced','Advanced Lost Password Email Subject','The subject of the advanced lost password emails generated by the store.','EMAIL,CUSTOMERACCOUNT','mediumValue',NULL,NULL,'Your Lost Account Information',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('lostPasswordEmailTextTemplateAdvanced','Advanced Lost Password Email Text Template','A string template used to construct the text part of the advanced lost password email.','EMAIL,CUSTOMERACCOUNT','textValue',NULL,NULL,NULL,'Hello,\r\n\r\nThe password for your account can be reset by going to the following link and entering a new password\r\n\r\n%%RESET_PASSWORD_URL%%\r\n\r\n');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('lostPasswordEmailHTMLTemplateAdvanced','Advanced Lost Password Email HTML Template','A string template used to construct the HTML part of the advanced lost password email.','EMAIL,CUSTOMERACCOUNT','textValue',NULL,NULL,NULL,'<html><body><p>Hello, <br><br>The password for your account can be reset by clicking the following link and entering a new password:</p><p><a href="%%RESET_PASSWORD_URL%%">Click to reset password</a></p><p>If clicking the link is not working, copy and paste this URL into your browser URL window: %%RESET_PASSWORD_URL%%</p><p>Thank You</p></body></html>');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordResetEmailSubject','Password Reset Email Subject','The subject of the password reset email generated by the store.','EMAIL,CUSTOMERACCOUNT','mediumValue',NULL,NULL,'Your password has been reset',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordResetEmailTextTemplate','Password Reset Email Text Template','A string template used to construct the text part of the reset password email.','EMAIL,CUSTOMERACCOUNT','textValue',NULL,NULL,NULL,'Hello,\r\n\r\nThe password for your account has been reset.  You can now login at the following URL.\r\n\r\n%%LOGIN_URL%%\r\n\r\n');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('passwordResetEmailHTMLTemplate','Password Reset Email HTML Template','A string template used to construct the HTML part of the reset password email.','EMAIL,CUSTOMERACCOUNT','textValue',NULL,NULL,NULL,'<html><body><p>Hello, <br><br>The password for your account has been reset, you can now login at the following URL:</p><p><a href="%%LOGIN_URL%%">Click to Login</a></p><p>If clicking the link is not working, copy and paste this URL into your browser URL window: %%LOGIN_URL%%</p><p>Thank You</p></body></html>');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedexSmartPostIndiciaType','FedEx Smart Post Indicia Type','The Indicia type for FedEx SmartPost. Possible values are MEDIA_MAIL, PARCEL_RETURN, PARCEL_SELECT, PRESORTED_BOUND_PRINTED_MATTER, or PRESORTED_STANDARD.','FEDEX','mediumValue',NULL,NULL,'PARCEL_SELECT',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedexSmartPostHubId','FedEx Smart Post Hub Id','The HubId for FedEx SmartPost. For a list of valid values, visit <a target=new href=http://www.fedex.com/us/developer/product/WebServices/MyWebHelp/Transactions/WS/r_SmartPostRequestElements.html>this page on fedex.com</a>.','FEDEX','mediumValue',NULL,NULL,'5303',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('enableFedExAddressValidation','Enable FedEx Address Validation?','If true and the Account Number, Meter Number, API Key, and Password have been defined, the system will validate delivery addresses with FedEx as each customer goes through checkout. If the validation fails, the customer is asked to correct the delivery address. NOTE: the FedEx development environment does not support address validation. The Account Number above must be for a live, production FedEx account.','FEDEX','booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET description = 'Use https://www.cresecure.net/hpf/1_1/ for live or https://www.sandbox-cresecure.net/hpf/1_1/ for the testing sandbox.' WHERE code = 'creSecureIframeURL';
UPDATE sscSetting SET description = 'Use https://www.cresecure.net/direct/services/validation/ for live or https://www.sandbox-cresecure.net/direct/services/validation/ for the testing sandbox.' WHERE code = 'creSecureValidationServiceURL';

INSERT INTO sscRole(code, name, description) VALUES('settingsCustomView', 'Custom Settings Viewer', 'Allows access to view custom settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsCustomEdit', 'Custom Settings Editor', 'Allows access to view, edit, and delete custom settings.');
INSERT INTO sscRole(code, name, description) VALUES('customerPasswordEditor', 'Customer Password Editor', 'Allows access to view and edit customer passwords.');
INSERT INTO sscRole(code, name, description) VALUES('productReviewView', 'Product Review Viewer', 'Allows access to view product reviews.');
INSERT INTO sscRole(code, name, description) VALUES('productReviewEdit', 'Product Review Editor', 'Allows access to view, edit, and delete product reviews.');
