<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsStoreLogo.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
	Use this form to upload a new logo for the store, or to modify the path to the logo.
	You may either use the upload form to upload the logo, or enter in the URL path to the image in the text field.
</div>

<br/>

<html:form action="/SettingsProcessStoreLogo" method="post" enctype="multipart/form-data">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="STORELOGO">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<%--Store Logo upload--%>
					<c:when test="${setting.code eq 'storeLogo'}">
						<tr class="<c:out value="${rowClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="text" class="textbox" style="margin-bottom: -.1em" size="50" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.mediumValue}"/>"/>
								<c:if test="${!empty setting.mediumValue}">
									<a onclick="window.open('<c:out value="${setting.mediumValue}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${setting.mediumValue}"/>">Show Image</a>
								</c:if>
							 	<br/>
							 	<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
					 	</tr>
						<tr class="<c:out value="${altRowClass}"/>">
							<td class="setting">
								Upload a new logo:
							</td>
							<td class="value">
								<input type="file" name="storeLogoFile" />
								<br/>
								<div class="settingDescription">Suggested dimensions: 190 x 75</div>
							</td>
						</tr>
					</c:when>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsStoreLogoEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a href="SettingsGeneralDisplay.do">General Display Settings</a></li>
	</ul>
</div>


<div class="notes">
	<h3 class="administratorSubhead">Tips</h3>
	<ul class="notesList">
		<li class="tip">
			If you are trying to upload a logo and you see an error that says "permission denied" it probably means that the server's permissions settings
			are preventing the logo from being saved on the server. Contact your host provider to allow permissions on the /images/store directory under
			the application's installation directory. Alternatively, you can FTP the logo up to the server, and manually type in its URL path above.
		</li>
	</ul>
</div>
<!-- End settingsStoreLogo.jsp -->

