<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start froogleForm.jsp -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>

<div class="instructions">
	Use this form to generate a text file of your store's product information that you can upload into Froogle.
	To submit the file to Google, you must first sign into <a href="https://www.google.com/base/welcome">Google Base</a>.
	After signing in, go to the <a href="http://www.google.com/base/bulkuploads">Google Base bulk uploads screen.</a>
	Either register a new bulk upload file, if this is your first time, or update the items in an existing bulk upload.
</div>

<div class="notes">
	<ul class="notesList">
		<li class="note">
			If choosing the XML format, to avoid taxing the server, the number of products exported will be capped at <c:out value="${settings.map.maxRecordsProcessed}"/>.
			To adjust this cap, edit the "Max Records Processed" setting on the <a href="SettingsAdvancedSystem.do">Advanced System Settings</a> screen.
			The tab-delimited format does not have this restriction.
		</li>
	</ul>
</div>
<br/><br/> 

<html:form action="/FroogleProcess" method="post">
	<table class="settingsTable">
    	<tr class="altRow">
			<td class="setting">Format:</td>
			<td class="value">
				<html:radio styleId="formatXML" name="froogleForm" property="format" value="xml" />
				<label for="formatXML">XML</label>
				&nbsp;&nbsp;&nbsp;&nbsp;
				<html:radio styleId="formatTab" name="froogleForm" property="format" value="tab" />
				<label for="formatTab">Tab-delimited</label>
				<div class="fieldDescription">The format of the export file that will be generated for import into Google Base.</div>
			</td>
		</tr>
    	<tr>
			<td class="setting"><label for="downloadOrWriteFile">Where to Generate the Export:</label></td>
			<td class="value" colspan="2">
				<html:select name="froogleForm" property="downloadOrWriteFile" styleId="downloadOrWriteFile">
					<html:option value="write">Write the file to the below directory on the server.</html:option>
					<html:option value="download">Download the file to me through the browser.</html:option>
					<html:option value="both">Both write the file and download it through the browser.</html:option>
				</html:select>
				<div class="fieldDescription">How should the export file be generated?</div>
			</td>
		</tr>
		
		<tr class="altRow">
			<td class="setting"><label for="directoryOnServer">Directory on Server to Write File:</label></td>
			<td class="value" colspan="2">
				<c:choose>
					<c:when test="${empty froogleForm.directoryOnServer}">
						<input size="60" type="text" name="directoryOnServer" value="<%= session.getServletContext().getRealPath("/") %>" />
					</c:when>
					<c:otherwise>
						<html:text size="60" name="froogleForm" property="directoryOnServer" styleId="directoryOnServer"/>
					</c:otherwise>
				</c:choose>
				<div class="fieldDescription">The directory on the server to write the export file to (if it's being written).</div>
			</td>
		</tr>
    	<tr>
			<td class="setting">Product Type:</td>
			<td class="value">
				<html:text name="froogleForm" property="productType"/>
				<div class="fieldDescription">The type of products being offered. Appropriate values include: toys, books, flowers, etc.</div>
			</td>
		</tr>
    	<tr class="altRow">
			<td class="setting">Brand:</td>
			<td class="value">
				<html:text name="froogleForm" property="brand"/>
				<div class="fieldDescription">The "brand" name of the products.</div>
			</td>
		</tr>
    	<tr>
			<td class="setting">Use Manufacturer for Brand?</td>
			<td class="value">
				<html:radio name="froogleForm" property="useManufacturerForBrand" value="true"/> yes
				<html:radio name="froogleForm" property="useManufacturerForBrand" value="false"/> no
				<div class="fieldDescription">If yes and the product has a manufacturer assigned, the manufacturer's name will be used for the "brand" field in Froogle, instead of the above brand entry.</div>
			</td>
		</tr>
    	<tr class="altRow">
			<td class="setting">Condition:</td>
			<td class="value">
				<html:radio name="froogleForm" property="condition" value="new"/> New
				<html:radio name="froogleForm" property="condition" value="used"/> Used
				<html:radio name="froogleForm" property="condition" value="refurbished"/> Refurbished
				<div class="fieldDescription">The condition of the products.</div>
			</td>
		</tr>
		<tr class="row">
	        <td class="setting"><label for="expirationDay">Expiration Date:</label></td>
	        <td class="value">
				<html:select name="froogleForm" property="expirationYear">
					<html:option value="">Year</html:option>
					<html:option value="${thisYear}">
						<c:out value="${thisYear}" />
					</html:option>
					<html:option value="${thisYear + 1}">
						<c:out value="${thisYear + 1}" />
					</html:option>
					<html:option value="${thisYear + 2}">
						<c:out value="${thisYear + 2}" />
					</html:option>
					<html:option value="${thisYear + 3}">
						<c:out value="${thisYear + 3}" />
					</html:option>
					<html:option value="${thisYear + 4}">
						<c:out value="${thisYear + 4}" />
					</html:option>
					<html:option value="${thisYear + 5}">
						<c:out value="${thisYear + 5}" />
					</html:option>
					<html:option value="${thisYear + 6}">
						<c:out value="${thisYear + 6}" />
					</html:option>
					<html:option value="${thisYear + 7}">
						<c:out value="${thisYear + 7}" />
					</html:option>
					<html:option value="${thisYear + 8}">
						<c:out value="${thisYear + 8}" />
					</html:option>
					<html:option value="${thisYear + 9}">
						<c:out value="${thisYear + 9}" />
					</html:option>
					<html:option value="${thisYear + 10}">
						<c:out value="${thisYear + 10}" />
					</html:option>
					<html:option value="${thisYear + 11}">
						<c:out value="${thisYear + 11}" />
					</html:option>
					<html:option value="${thisYear + 12}">
						<c:out value="${thisYear + 12}" />
					</html:option>
					<html:option value="${thisYear + 13}">
						<c:out value="${thisYear + 13}" />
					</html:option>
					<html:option value="${thisYear + 14}">
						<c:out value="${thisYear + 14}" />
					</html:option>
					<html:option value="${thisYear + 15}">
						<c:out value="${thisYear + 15}" />
					</html:option>
					<html:option value="${thisYear + 16}">
						<c:out value="${thisYear + 16}" />
					</html:option>
					<html:option value="${thisYear + 17}">
						<c:out value="${thisYear + 17}" />
					</html:option>
					<html:option value="${thisYear + 18}">
						<c:out value="${thisYear + 18}" />
					</html:option>
					<html:option value="${thisYear + 19}">
						<c:out value="${thisYear + 19}" />
					</html:option>
				</html:select>
				<html:select name="froogleForm" property="expirationMonth">
					<html:option value="">Mon</html:option>
					<html:option value="01">1</html:option>
					<html:option value="02">2</html:option>
					<html:option value="03">3</html:option>
					<html:option value="04">4</html:option>
					<html:option value="05">5</html:option>
					<html:option value="06">6</html:option>
					<html:option value="07">7</html:option>
					<html:option value="08">8</html:option>
					<html:option value="09">9</html:option>
					<html:option value="10">10</html:option>
					<html:option value="11">11</html:option>
					<html:option value="12">12</html:option>
				</html:select>
				<html:select name="froogleForm" property="expirationDay">
					<html:option value="">Day</html:option>
					<html:option value="01">1</html:option>
					<html:option value="02">2</html:option>
					<html:option value="03">3</html:option>
					<html:option value="04">4</html:option>
					<html:option value="05">5</html:option>
					<html:option value="06">6</html:option>
					<html:option value="07">7</html:option>
					<html:option value="08">8</html:option>
					<html:option value="09">9</html:option>
					<html:option value="10">10</html:option>
					<html:option value="11">11</html:option>
					<html:option value="12">12</html:option>
					<html:option value="13">13</html:option>
					<html:option value="14">14</html:option>
					<html:option value="15">15</html:option>
					<html:option value="16">16</html:option>
					<html:option value="17">17</html:option>
					<html:option value="18">18</html:option>
					<html:option value="19">19</html:option>
					<html:option value="20">20</html:option>
					<html:option value="21">21</html:option>
					<html:option value="22">22</html:option>
					<html:option value="23">23</html:option>
					<html:option value="24">24</html:option>
					<html:option value="25">25</html:option>
					<html:option value="26">26</html:option>
					<html:option value="27">27</html:option>
					<html:option value="28">28</html:option>
					<html:option value="29">29</html:option>
					<html:option value="30">30</html:option>
					<html:option value="31">31</html:option>
				</html:select>
              		<div class="fieldDescription">The date that the product listings expire.</div>
			</td>
		</tr>
		<tr class="altRow">
			<td class="setting">Price Type:</td>
			<td class="value">
				<html:radio name="froogleForm" property="priceType" value="starting" styleId="priceType-starting" styleClass="radiobtn"/> <label for="priceType-starting">starting</label>
				<html:radio name="froogleForm" property="priceType" value="negotiable" styleId="priceType-negotiable" styleClass="radiobtn"/> <label for="priceType-negotiable">negotiable</label>
				<div class="fieldDescription">The type of pricing for the product.</div>
			</td>
		</tr>

		<tr class="row">
			<td class="setting">Available for Pickup?</td>
			<td class="value">
				<html:radio name="froogleForm" property="pickup" value="true" styleId="pickup-true" styleClass="radiobtn"/> <label for="pickup-true">true</label>
				<html:radio name="froogleForm" property="pickup" value="false" styleId="pickup-false" styleClass="radiobtn"/> <label for="pickup-false">false</label>
				<div class="fieldDescription">If yes, the products are available for pick up.</div>
			</td>
		</tr>

		<tr class="altRow">
		    <td class="setting"><label for="taxPercent">Tax Percentage</label></td>
		    <td class="value">
		        <html:text name="froogleForm" property="taxPercent" styleId="taxPercent" size="5"/>
		    	<div class="fieldDescription">The tax rate of the products as a percentage. Eg. "8.2".</div>
			</td>
		</tr>

		<tr class="row">
			<td class="setting"><label for="taxRegion">Tax Region</label></td>
			<td class="value">
				<html:text name="froogleForm" property="taxRegion" styleId="taxRegion"/>
				<div class="fieldDescription">The geographic region that a tax rate applies to, 
				e.g., in the US, the two-letter state abbreviation, ZIP code, or ZIP code range using * wildcard</div>
			</td>
		</tr>
		<tr class="altRow">
			<td class="setting"><label for="paymentAccepted">Payments Accepted:</label></td>
			<td class="value">
				<html:select name="froogleForm" property="paymentAccepted" size="8" multiple="">
					<html:option value="Visa">Visa</html:option>
					<html:option value="MasterCard">MasterCard</html:option>
					<html:option value="AmericanExpress">AmericanExpress</html:option>
					<html:option value="Discover">Discover</html:option>
					<html:option value="cash">Cash</html:option>
					<html:option value="check">Check</html:option>
					<html:option value="wiretransfer">Wire Transfer</html:option>
					<html:option value="GoogleCheckout">Google Checkout</html:option>
				</html:select>
			</td>
		</tr>
		<tr class="row">
			<td class="setting"><label for="paymentNotes">Payment Notes</label></td>
			<td class="value">
				<html:text name="froogleForm" property="paymentNotes" styleId="paymentNotes"/>
				<div class="fieldDescription">Additional instructions to explain a payment policy.</div>
			</td>
		</tr>
	</table>
	<logic:equal name="editPermission" value="true">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Process Export"/>
		</div>
	</logic:equal>
</html:form>
<!-- End froogleForm.jsp -->
