<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.util.*" %>
<bean:define id="previewCount" name="importForm" property="previewCount" type="java.lang.String"/>
<% int previewCountInt = Integer.parseInt(previewCount); %>

<div class="instructions">
	Review the data from the import file you've selected. Identify which fields should be populated with the data from each of the columns.
</div>

<br/>
<html:form action="/ImportProcess" method="post">
	<html:hidden name="importForm" property="table"/>
	<html:hidden name="importForm" property="previewCount"/>
	<html:hidden name="importForm" property="excel"/>
	<html:hidden name="importForm" property="delimiter"/>
	<html:hidden name="importForm" property="pathOnServer"/>
	<html:hidden name="importForm" property="headerRow"/>
	<html:hidden name="importForm" property="importBehavior"/>
	<bean:define id="records" name="importForm" property="records" type="java.util.Collection"/>
	<bean:define id="headerFields" name="importForm" property="parsedHeaderFields" type="String[]"/>
	<bean:define id="fieldOptions" name="importForm" property="fieldOptions" type="java.util.Collection"/>
	<bean:define id="importTable" name="importForm" property="table" type="java.lang.String"/>
	<table class="chart">
		<tr>
	    	<th>&nbsp;</th>
		<% 						
		    int numberOfFields = 0;
		    String selectedValue = "";
		    boolean headerPresent = false;
		    if (null != headerFields & headerFields.length > 0){
		    	numberOfFields = headerFields.length;
		    	headerPresent = true;
		    }
		    else
		    {
		      Iterator recIterator1 = records.iterator();	
		      if (recIterator1.hasNext())
			  {
			    String[] record1 = (String[])recIterator1.next();
			    numberOfFields = record1.length;	
			  }
		    }
		   for (int i = 0; i < numberOfFields; i++) { 
			 if (headerPresent) selectedValue = headerFields[i];
			 
			 // Translate headers from Avalara's state tax rate downloads
			 if (headerPresent && importTable.equals("sscbasictaxrate")) {
				 if (selectedValue.equals("State")) {
				 	selectedValue = "stateCode";
				 } else if (selectedValue.equals("ZipCode")) {
					 selectedValue = "postalCode";
				 } else if (selectedValue.equals("EstimatedCombinedRate")) {
					 selectedValue = "rate";
				 }
			 }
		%>
			<th>						
				<html:select name="importForm" property="fields" value="<%=selectedValue%>">						
					<option value="">[SKIP COLUMN]</option>
					<logic:iterate name="importForm" property="fieldOptions" id="field">
					  <html:option value="${field}"><%= field %></html:option>									
					</logic:iterate>
				</html:select>
			</th>
		<% } %>
		</tr>
		<%
		Iterator recIterator = records.iterator();
		int ii = 0;
		while(recIterator.hasNext() && ii < previewCountInt)	{					
		//for (int i = 0; i < records.length && i < previewCountInt; i++) { 
		%>
	    	<tr>
	    		<td><%= ii + 1 %></td>
			<% 
				String[] record = (String[])recIterator.next();
			    String tempStr = null;
				for (int j = 0; j < record.length; j++) 
				{
				  if (record[j].length() > 20)
				   tempStr = record[j].substring(0, 20);	
				  else
				   tempStr = record[j];						
					%>						  
				  <td><%= tempStr %></td>
			  <% } %>
			</tr>
		<%  ii++;
		   } %>
	</table>
	
	<br/>
	<div>
		<span class="label">Total number of records</span>: <%= records.size() %>
		<br/>
		<span class="label">Importing into database table</span>: <bean:write name="importForm" property="table"/>
		<br/>
		<span class="label">Path to Uploaded File on Server</span>: <bean:write name="importForm" property="pathOnServer"/>
		<br/>
		<span class="label">Header Row?</span>: <bean:write name="importForm" property="headerRow"/>
		<br/>
		<span class="label">Delimiter</span>: <bean:write name="importForm" property="delimiter"/>
		<br/>
		<span class="label">File Saved from Excel?</span>: <bean:write name="importForm" property="excel"/>
		<br/>
		<span class="label">Import Behavior</span>: <bean:write name="importForm" property="importBehavior"/>
	</div>
	
	<logic:equal name="editPermission" value="true">
		<br/>
    	<div class="saveSettings">
			<input type="submit" class="button" name="submitProcess" value="<bean:message key="administrator.processImport" bundle="/administrator/administrator"/>" onclick="return confirm('<bean:message key="administrator.confirmImport" bundle="/administrator/administrator"/>')" />
		</div>
	</logic:equal>
</html:form>
