<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<!-- Start qboConnectForm.jsp -->

<p class="instructions">Follow these steps closely to connect this store to your QBO account.</p>

<div style="float: left">
	<h2>Connecting to: <c:out value="${qboSettings.qboSandboxOrLive}"/></h2>
</div>
<div style="float: left; margin: 1em 1em;">
	<form action="QboProcessSettings.do" method="post">
		<c:choose>
			<c:when test="${qboSettings.qboSandboxOrLive eq 'Sandbox'}">
				<input type="hidden" name="qboSandboxOrLive" value="Live"/>
				<input type="submit" class="button" name="QboProcessSettings" value="Switch to Live"/>
			</c:when>
			<c:otherwise>
				<input type="hidden" name="qboSandboxOrLive" value="Sandbox"/>
				<input type="submit" class="button" name="QboProcessSettings" value="Switch to Sandbox"/>
			</c:otherwise>
		</c:choose>
	</form>
</div>
<br style="clear: both"/>
<table>
	<tr>
		<td>
			<fieldset>
				<legend>Create a QBO Developer Account and a QBO App to Use for the Integration</legend>
				<p class="instructions">
					<ol>
						<li>
							<p>If you don't already have one, <a href="https://accounts.intuit.com/signup.html?offering_id=Intuit.devx.devx&redirect_url=https%3A%2F%2Fdeveloper.intuit.com%2Fapp%2Fdeveloper%2Fqbo%2Fdocs%2Fget-started%3FdevXlogin%3Dtrue" target="_new">Create a Free QBO Developer Account</a>.
							<ul>
								<li>If you already have a QBO Developer Account, you can use it instead of creating a new one.</li>
								<li>You can use the same QBO Developer Account for both the Sandbox and Live environments.</li>
							</ul></p>
						</li>
						<li><p>If you haven't already done so, under your QBO Developer Account, create an App for the SoftSlate Integration:
							<ul>
								<li>Log into your QBO Developer Account, and go to the Dashboard.</li>
								<li>Click the "+ Create an app" button from the Dashboard.</li>
								<li>On the next screen, select "QuickBooks Online and Payments" for the platform.</li>
								<li>Enter "SoftSlate Integration" for the name of the App, and check off all scopes.</li>
								<li>Click the "Create App" button to create the App.</li>
								<li>You can use the same App for both the Sandbox and Live environments.</li>
							</ul></p>
						</li>
					</ol>
				</p>
			</fieldset>
		</td>
	</tr>
	<tr>
		<td>
			<fieldset>
				<legend>Configure the QBO App and Your Store</legend>
				<p class="instructions">
					<ol>
						<li><p>Tell your QBO App it's ok to connect with this store:
							<ul>
								<li>Log into your QBO Developer Account, and go to the Dashboard.</li>
								<li>Click on the name of the SoftSlate Integration App you created above.</li>
								<c:choose>
									<c:when test="${qboSettings.qboSandboxOrLive eq 'Sandbox'}">
										<li>You are currently connecting to the <strong>Sandbox</strong> environment. So click the "Keys & OAuth" link under the "Development" heading in the sidebar.</li>
									</c:when>
									<c:otherwise>
										<li>You are connecting to the <strong>Live</strong> environment. So click the "Keys & OAuth" link under the "Production" heading in the sidebar.</li>
									</c:otherwise>
								</c:choose>
								<li>Under the "Redirect URIs" heading, click "Add URI" and paste this URL to allow connections from this store: 
								<br/><br/>
								<pre style="font-size: 1.5em"><c:out value="${settings.map.administratorURL}"/><c:out value="${settings.map.qboOAuth2AppRedirectUri}"/></pre>
								</li>
							</ul></p>
						</li>
						<li><p>Enter the "Client Id" and "Client Secret" for the QBO App here:
							<ul>
								<li>Log into your QBO Developer Account, and go to the Dashboard.</li>
								<li>Click on the name of the SoftSlate Integration App you created above.</li>
								<c:choose>
									<c:when test="${qboSettings.qboSandboxOrLive eq 'Sandbox'}">
										<li>You are currently connecting to the <strong>Sandbox</strong> environment. So click the "Keys & OAuth" link under the "Development" heading in the sidebar.</li>
									</c:when>
									<c:otherwise>
										<li>You are connecting to the <strong>Live</strong> environment. So click the "Keys & OAuth" link under the "Production" heading in the sidebar.</li>
									</c:otherwise>
								</c:choose>
								<li>From under the "Keys" heading on the following screen, copy the Client Id and Client Secret and enter them here:
									<form action="QboProcessSettings.do" method="post">
										<table>
											<tr>
												<td><label for="qboOAuth2AppClientId"><c:choose><c:when test="${qboSettings.qboSandboxOrLive eq 'Sandbox'}">Development</c:when><c:otherwise>Production</c:otherwise></c:choose> Client Id</label>:</td>
												<td><input type="text" style="width: 400px" maxlength="255" id="qboOAuth2AppClientId" name="qboOAuth2AppClientId-<c:out value="${qboSettings.qboSandboxOrLive}"/>" value="<c:out value="${qboSettings.qboOAuth2AppClientId}"/>"/></td>
												<td rowspan="2" style="vertical-align: top"><input type="submit" class="button" value="Save Settings"/></td>													</tr>
											<tr>
												<td><label for="qboOAuth2AppClientSecret"><c:choose><c:when test="${qboSettings.qboSandboxOrLive eq 'Sandbox'}">Development</c:when><c:otherwise>Production</c:otherwise></c:choose> Client Secret</label>:</td>
												<td><input type="text" style="width: 400px" maxlength="255" id="qboOAuth2AppClientSecret" name="qboOAuth2AppClientSecret-<c:out value="${qboSettings.qboSandboxOrLive}"/>" value="<c:out value="${qboSettings.qboOAuth2AppClientSecret}"/>"/></td>
											</tr>
										</table>
									</form>
								</li>
							</ul></p>
						</li>
					</ol>
				</p>
			</fieldset>
		</td>
	</tr>
	
	<tr>
		<td>
			<fieldset>
				<legend>Authenticate the Connection</legend>
				<p class="instructions">
					<ol>
						<li>
							<p>Connect this store with the QBO App you created above. If you are not already logged into QuickBooks Online, you will be redirected to log into your QBO account, in order to grant permission for the integration. If you are already logged into QBO with this browser, you will be immediately redirected back here.</p>
							<p><form action="QboConnect.do" method="post">
								<input type="submit" class="button" name="QboConnect" value="Connect"/>
							</form></p>
						</li>
						<li>
							<c:choose>
								<c:when test="${!empty qboSettings.qboRefreshToken and qboSettings.isRefreshTokenExpired}">
									<p>NOTE: It looks like your connection with QBO has expired and needs to be refreshed. To do this, you must connect again.
									</p>
								</c:when>
								<c:when test="${!empty qboSettings.qboAccessToken and qboSettings.isAccessTokenExpired}">
									<p>NOTE: It looks like you have already connected your store to your QBO App but currently your Access Token is expired. The system will automatically attempt to refresh the access token but you may also do it manually below. 
									If you have trouble refreshing the tokens, you can re-authenticate the connection with the above Connect button.
									</p>
								</c:when>
								<c:otherwise>
									<p>NOTE: It looks like you have already connected your store to your QBO App. Your access token is not expired but you may manually refresh it below.
									If you have trouble refreshing the tokens, you can re-authenticate the connection with the above Connect button.
									</p>
								</c:otherwise>
							</c:choose>
							<form action="QboRefreshTokens.do" method="post">
								<input type="submit" class="button" name="QboRefreshTokens" value="Refresh Tokens"/>
							</form>
							<p>
								<ul>
									<li>Current Access Token Expiration: <c:out value="${qboSettings.qboAccessTokenExpiration}"/></li>
									<li>Current Refresh Token: <c:out value="${qboSettings.qboRefreshToken}"/></li>
									<li>Current Refresh Token Expiration: <c:out value="${qboSettings.qboRefreshTokenExpiration}"/> (will be refreshed above only if it is over one day old)</li>
								</ul>
							</p>	
						</li>
					</ol>
				</p>	
			</fieldset>
		</td>

	</tr>
</table>

<!-- End qboConnectForm.jsp -->
