<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start qboOrderForm.jsp -->
<div class="orderMoreScreen">
	<c:choose>
		<c:when test="${!empty requestScope.salesReceipt}">
			<p>The Sales Receipt associated with this order currently in your QBO Account is listed below.
			To resync the order to QBO, you must delete the Sales Receipt first, or change its Doc Number.</p>
			<c:if test="${!empty salesReceiptTotal and salesReceiptTotal ne order.total}">
				<div class="warning">
					The total for this order is <fmt:formatNumber type="currency" value="${order.total}" currencyCode="${settings.map.currencyCode}"/>,
					but the total for the QBO Sales Receipt is <fmt:formatNumber type="currency" value="${salesReceiptTotal}" currencyCode="${settings.map.currencyCode}"/>.
					A common source of discrepancies is taxes. If you are using QBO to calculate taxes, consider updating this order's tax and total to match.
				</div>
				<br/>
			</c:if>
			<table class="chart">
				<c:forEach var="entry" items="${requestScope.salesReceipt}">
					<tr>
						<th><c:out value="${entry.key}"/></th>
						<c:choose>
							<c:when test="${entry.key eq 'Line' or entry.key eq 'TxnTaxDetail'}">
								<td>
									<table>
										<c:forEach var="item" items="${entry.value}">
											<tr><td><c:out value="${item}"/></td></tr>
										</c:forEach>
									</table>
								</td>
							</c:when>
							<c:otherwise>
								<td><c:out value="${entry.value}"/></td>
							</c:otherwise>
						</c:choose>
					</tr>
				</c:forEach>
			</table>
		</c:when>
		<c:when test="${!empty requestScope.syncResults}">
			<p>Raw Sync Results for Debugging:</p>
			<c:out value="${requestScope.syncResults}"/>
		</c:when>
		<c:when test="${empty requestScope.salesReceipt}">
			<p>Order does not exist in QBO as a Sales Receipt.</p>
			<form action="QboOrderSync.do" method="post">
				<input type="hidden" name="orderID" value="${qboOrderForm.orderID}"/>
				<input type="submit" class="button" value="Sync This Order To QBO"/>
			</form>
		</c:when>
	</c:choose>
</div>
<!-- End qboOrderForm.jsp -->

