<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsQBO.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
    Use these settings to define how your store's information is configured in QuickBooks Online.
</div>

<br/>
<html:form action="/SettingsProcessQBO" method="post">
    <table class="settingsTable">
        <tr>
            <th class="setting">Setting</th>
            <th class="value">Value</th>
        </tr>
        <c:set var="qboOrderSyncStatusChangeValue" value=""/>
        <logic:iterate name="administratorSettings" id="settingRow" indexId="index">
        		<c:if test="${settingRow.code eq 'qboOrderSyncStatusChange'}">
        			<c:set var="qboOrderSyncStatusChangeValue" value="${settingRow.smallValue}"/>
        		</c:if>
        </logic:iterate>
        <logic:iterate name="administratorSettings" id="settingRow" indexId="index">
            <logic:match name="settingRow" property="type" value="QUICKBOOKSONLINE">
                <c:choose>
                    <c:when test="${requestScope.thisClass eq altRowClass or empty requestScope.thisClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
                    <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
                </c:choose>
                <c:set var="setting" value="${settingRow}" scope="request"/>
                <c:choose>
                    <c:when test="${setting.code eq 'qboSyncOrdersToQbo'}">
                        <tr class="<c:out value="${requestScope.thisClass}"/>">
                            <td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
                            <td class="value">
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="NewOrderPlaced" <logic:match name="setting" property="smallValue" value="NewOrderPlaced">checked="checked"</logic:match>/> As New Order Placed
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="OrderStatusChange" <logic:match name="setting" property="smallValue" value="OrderStatusChange">checked="checked"</logic:match>/> As Order Status Changes To:
								<select name="qboOrderSyncStatusChange" id="qboOrderSyncStatusChange" class="selectboxWide">
									<c:if var="foundStatus" test="${false}"/>
									<c:forTokens var="stat" varStatus="current" items="${settings.map.possibleOrderStatuses}" delims=",">
										<% pageContext.setAttribute("stat", ((String) pageContext.getAttribute("stat")).trim()); %>
										<c:if test="${stat ne 'Received'}">
											<option value="<c:out value="${stat}"/>"<c:if test="${stat eq qboOrderSyncStatusChangeValue}"> selected="selected"<c:if var="foundStatus" test="${true}"/></c:if>><c:out value="${stat}"/></option>
										</c:if>
									</c:forTokens>
									<c:if test="${!foundStatus}">
										<option value="<c:out value="${qboOrderSyncStatusChangeValue}"/>" selected="selected"><c:out value="${qboOrderSyncStatusChangeValue}"/></option>
									</c:if>
								</select> 
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="DoNotSyncAutomatically" <logic:match name="setting" property="smallValue" value="DoNotSyncAutomatically">checked="checked"</logic:match>/> Do Not Sync Automatically
                                <br/><br/>
                                <div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
                            </td>
                        </tr>
		                <c:choose>
		                    <c:when test="${requestScope.thisClass eq altRowClass or empty requestScope.thisClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
		                    <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
		                </c:choose>
                    </c:when>
                    <c:when test="${setting.code eq 'qboOrderSyncMarkItemsTaxable'}">
                        <tr class="<c:out value="${requestScope.thisClass}"/>">
                            <td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
                            <td class="value">
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="BasedOnProductIsTaxed" <logic:match name="setting" property="mediumValue" value="BasedOnProductIsTaxed">checked="checked"</logic:match>/> Based On If the Product Is Taxed
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="Always" <logic:match name="setting" property="mediumValue" value="Always">checked="checked"</logic:match>/> Always
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="Never" <logic:match name="setting" property="mediumValue" value="Never">checked="checked"</logic:match>/> Never
                                <br/><br/>
                                <div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
                            </td>
                        </tr>
		                <c:choose>
		                    <c:when test="${requestScope.thisClass eq altRowClass or empty requestScope.thisClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
		                    <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
		                </c:choose>
                    </c:when>
					<c:when test="${settingRow.code eq 'qboOrderSyncStatusChange'}">
						<%-- Already displayed above. --%>
					</c:when>
                    <c:otherwise>
                        <ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
                    </c:otherwise>
                </c:choose>
            </logic:match>
        </logic:iterate>
    </table>
    <logic:present role="superuser,administrator,settingsEdit,settingsQBOEdit">
        <div class="saveSettings">
            <input type="submit" class="button" value="Save Settings"/>
        </div>
    </logic:present>
</html:form>

<!-- End settingsQBO.jsp -->
