<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to the Authorize.net payment gateway to process credit cards.</p>
</div>

<br/>

<html:form action="/SettingsProcessAuthorizeNet" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting" colspan="2">General Settings</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet-general'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'authorizeNetTxType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="authorizeNetTxType">
									<option value="AUTH_CAPTURE" <logic:match name="setting" property="smallValue" value="AUTH_CAPTURE">selected="selected"</logic:match>>Authorization and Capture</option>
									<option value="AUTH_ONLY" <logic:match name="setting" property="smallValue" value="AUTH_ONLY">selected="selected"</logic:match>>Authorization Only</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'authorizeNetIntegrationMethod'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<table>
									<tr>
										<td>
											<span style="white-space: nowrap">
												<input name="authorizeNetIntegrationMethod" type="radio" value="ServerToServer" id="ServerToServer" <logic:match name="setting" property="smallValue" value="ServerToServer">checked="checked"</logic:match>/>
												<label for="ServerToServer"><strong>Server to Server</strong></label>
											</span>
											<ul>
												<li>Payment information is submitted to the server running SoftSlate Commerce, which relays it to Authorize.net</li>
												<li>Payment information may optionally be encrypted and stored in SoftSlate Commerce's database (see the <a href="SettingsEncryption.do" target="_new">Encryption Settings</a>)</li>
												<li>PCI SAQ C or D.</li>
											</ul>
										</td>
										<td>
											<span style="white-space: nowrap">
												<input name="authorizeNetIntegrationMethod" type="radio" value="AcceptJS" id="AcceptJS" <logic:match name="setting" property="smallValue" value="AcceptJS">checked="checked"</logic:match>/>
												<label for="AcceptJS" style="white-space: nowrap"><strong>Accept.js</strong></label>
											</span>
											<ul>
												<li>Rather than submitting payment information to the server running SoftSlate Commerce, the browser will submit it directly to Authorize.net via Javascript, retrieve a token, and submit the token to the server running SoftSlate Commerce. The token will be used by the application to submit the transaction to Authorize.net.</li>
												<li>Payment information cannot be stored in SoftSlate Commerce's database because it does not pass through the application at all.</li>
												<li>PCI SAQ A-EP.</li>
											</ul>
											<c:if test="${settings.map.useCheckoutCombo eq '1'}">
												<br>
												<div class="warning">
													<p>Because Accept.js must submit payment information directly to Authorize.net you should choose a different Checkout Layout than
													'Combined Address, Shipping, and Payment Screen' 
													on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen before choosing this option.</p></div>
											</c:if>
											<c:if test="${settings.map.displayCheckoutConfirm eq '1'}">
												<br>
												<div class="warning"><p>When using Accept.js, the order is processed immediately after submitting payment information. For this reason, you should 
													set the 'Display Confirm Screen Before End of Checkout?' 
													setting to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p></div>
											</c:if>
										</td>
										<td>
											<span style="white-space: nowrap">
												<input name="authorizeNetIntegrationMethod" type="radio" value="AcceptHostedIframe" id="AcceptHostedIframe" <logic:match name="setting" property="smallValue" value="AcceptHostedIframe">checked="checked"</logic:match>/>
												<label for="AcceptHostedIframe" style="white-space: nowrap"><strong>Accept Hosted</strong></label>
											</span>
											<ul>
												<li>On payment screens, a form hosted by Authorize.net is shown in an embedded iframe. The user submits payment information directly to Authorize.net and the response is communicated back to the browser via the iframe.</li>
												<li>Payment information cannot be stored in SoftSlate Commerce's database because it does not pass through the application at all.</li>
												<li>PCI SAQ A.</li>
											</ul>
											<c:if test="${settings.map.useCheckoutCombo eq '1'}">
												<br>
												<div class="warning">
													<p>Because Accept Hosted must submit payment information directly to Authorize.net you should choose a different Checkout Layout than
													'Combined Address, Shipping, and Payment Screen' 
													on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen before choosing this option.</p></div>
											</c:if>
											<c:if test="${settings.map.displayCheckoutConfirm eq '1'}">
												<br>
												<div class="warning"><p>When using Accept Hosted, the order is processed immediately after submitting payment information. For this reason, you should 
													set the 'Display Confirm Screen Before End of Checkout?' 
													setting to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p></div>
											</c:if>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>

<br/><br/>
	
	<table class="settingsTable">
		<tr>
			<th class="setting" colspan="2">Customer Profile Settings</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet-profiles'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
			</c:if>
		</logic:iterate>
	</table>

<br/><br/>
	
	<table class="settingsTable">
		<tr>
			<th class="setting" colspan="2">Accept.js Settings</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet-acceptJS'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq ''}">
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>

<br/><br/>
	
	<table class="settingsTable">
		<tr>
			<th class="setting" colspan="2">Accept Hosted Settings</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet-accepthosted'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq ''}">
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>

<br/><br/>
	
	<table class="settingsTable">
		<tr>
			<th class="setting" colspan="2">Other Settings</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'authorizeNet-other'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish an Account with Authorize.net">
				<p>To enable Authorize.net, you must establish an account with them. 
				Visit <a href="http://reseller.authorize.net/application/?id=565192" target="_blank">the sign-up form</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>
